### Index

- [Use this ansible to mark messages as not spam](#Use-this-ansible-to-mark-messages-as-not-spam)
- [Use this ansible to mark messages as spam](#Use-this-ansible-to-mark-messages-as-spam)

-----

##### Use this ansible to mark messages as not spam

#### Steps

- Clone this project on our machine
- Once project cloned on our machine, execute the playbook the following way

```bash
ansible-playbook -i inventory tasks/playbook.yml --extra-vars "domain=domainWhereWantSearch query=criteriaForSearchMessagesOnDomain" --tags "search,searchOnJunk"
```

This will search on all Domain's mailboxes the messages that do match with our criteria passed in the before command
Then will mark all messages as not spam on the mailboxes and move this messages at Inbox folder

-----

##### Use this ansible to mark messages as spam

#### Steps

- Clone this project on our machine
- Once project cloned on our machine, execute the playbook the following way

```bash
ansible-playbook -i inventory tasks/playbook.yml --extra-vars "domain=domainWhereWantSearch query=criteriaForSearchMessagesOnDomain" --tags "search,searchDefault"
```

This will search on all Domain's mailboxes the messages that do match with our criteria passed in the before command
Then will mark all messages as spam on the mailboxes and move this messages at Junk folder

